%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?__python2: %global __python2 %{__python}}
Name:           turpial
Version:        3.0
Release:        3%{?dist}
Summary:        Cool twitter client with many features and very light
Group:          Applications/Internet
License:        GPLv3
URL:            http://turpial.org.ve
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        http://files.turpial.org.ve/sources/stable/turpial-%{version}.tar.gz
Source1:        %{name}.1.gz
Patch0:         turpial.desktop.patch
Patch1:         lang.py.patch
BuildRequires:  python-babel, python2-devel, python-setuptools, pytz
Requires:       python-libturpial, python-setuptools, python-jinja2, phonon, notify-python, python-babel, gstreamer-python, pywebkitgtk, PyQt4
BuildArch:      noarch

%description
Twitter client written in Python. Lightweight, functional and integrated
to desktop user.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i 's|share/doc/turpial|'"%{_pkgdocdir}"'|' setup.py
sed -i 's|*.po|*.mo|' MANIFEST.in

%build
%{__python2} setup.py compile_catalog
%{__python2} setup.py build 

%install
%{__python2} setup.py install --root %{buildroot} 
find %{buildroot} \( -not -name '*.py*' -a -type f \) -exec chmod 644 {}  \;
chmod 755 %{buildroot}%{python_sitelib}/%{name}/main.py
chmod 755 %{buildroot}%{python_sitelib}/%{name}/ui/unity/daemon.py
%{__mkdir} -p %{buildroot}%{_mandir}/man1
%{__install} -p -D -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1
chmod 755 %{buildroot}%{_bindir}/turpial
chmod 0644 AUTHORS COPYING ChangeLog README.rst THANKS TRANSLATORS
mkdir -p %{buildroot}/usr/share/locale
mv %{buildroot}/%{python_sitelib}/%{name}/i18n/* %{buildroot}/%{_datadir}/locale
find %{buildroot} -name *.po -exec rm {} \;
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README.rst THANKS TRANSLATORS
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{python_sitelib}/*
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Dec 30 2013 Richzendy <richzendy@fedoraproject.org> - 3.0-3
- added PyQt4 to Requires

* Mon Dec 30 2013 Richzendy <richzendy@fedoraproject.org> - 3.0-2
- Fixed rpm build error because was missing pytz module

* Sun Dec 22 2013 Richzendy <richzendy@fedoraproject.org> - 3.0-1
- New 3.0 release, spec was updated to follow new python guidelines

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 22 2012 Richzendy <richzendy@fedoraproject.org> - 1.6.9-1
- New stable release, url to source code updated

* Fri Dec 02 2011 Richzendy <richzendy@fedoraproject.org> - 1.6.6-3
- Fix to bug 758979, 758992 in bugzilla

* Sun Nov 27 2011 Richzendy <richzendy@fedoraproject.org> - 1.6.6-2
- Fix to bug 757524 in bugzilla

* Fri Nov 25 2011 Richzendy <richzendy@fedoraproject.org> - 1.6.6-1
- New stable release, minor spec changes, change in the description of the package based on the README.rst file

* Thu May 26 2011 Richzendy <richzendy@fedoraproject.org> - 1.5.0-1
- New release, minor spec changes

* Sat Aug 14 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.4-1
- Update and changes based on the comments in
https://bugzilla.redhat.com/show_bug.cgi?id=592733#c10

* Thu Jun 24 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.3-2
- fix in version, the previous version was a beta and the developer 
mistakenly released it as a stable, this is the real stable version 1.3.3 

* Sat Jun 19 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.3-1
- Changes based on the comments in 
https://bugzilla.redhat.com/show_bug.cgi?id=592733#c6  

* Sat May 22 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.2-2.a1
- fix to bugzilla, see bugzilla bug number 592733

* Sat May 22 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.2-a1.1
- fix to bugzilla, see bugzilla bug number 592733

* Tue May 11 2010 Richzendy <richzendy@fedoraproject.org> - 1.3.2-a1
- Change url to turpial project and upgrade/clean spec file, see a changelog file for specific changelog package details

* Sat May 1 2010 Richzendy <richzendy@fedoraproject.org> - 1.0-1
- Package for this version, see a Changelog file for specific version details

* Sat Feb 27 2010 Richzendy <richzendy@fedoraproject.org> - 1.0-b1
- Package for this version and upgrade/clean spec file, see a changelog file for specific details

* Fri Jan 22 2010 Richzendy <richzendy@fedoraproject.org> - 0.9.2
- Initial package 
